$primary-color: #4d4949;
$title-color: #332a29;
$bg-edit: #dff0ea;
$bg-edit-hover: #46b28b;
$bg-delete: #f0dfdf;
$bg-delete-hover: #ef4b4c;
$color-time: #b3adad;
$bg-switch-bar: #dff0ea;
$bg-switch-track: #46b28b;
$border-search: #ccc;
$color-btn: #fff;
$color-disable: #ebebeb;

@mixin border-radius($value) {
	-webkit-border-radius: $value;
	-moz-border-radius: $value;
	border-radius: $value;
}

@mixin box-shadow($value) {
	-webkit-box-shadow: $value;
	-moz-box-shadow: $value;
	box-shadow: $value;
}

@mixin transition($value) {
	-webkit-transition: $value;
	-moz-transition: $value;
	-ms-transition: $value;
	-o-transition: $value;
	transition: $value;
}

%tbl-text {
	font-size: 14px;
}

%sort-icon {
	width: 16px;
	height: 16px;
}

%action-icon {
	width: 32px;
	height: 32px;
	display: inline-block;
	color: transparent;
	cursor: pointer;
	@include border-radius(100%);
}

%n-btn {
	@include border-radius(50px);
}

.n-list {
	th {
		color: $title-color !important;
		@extend %tbl-text;
		font-weight: bold;
		cursor: pointer;
	}

	td {
		color: $primary-color;
		@extend %tbl-text;
	}

	i.n-sort {
		display: inline-block;
		@extend %sort-icon;
		background: url('../../../assets/images/icons/sort-icon.png') 0 0 no-repeat;
		margin-right: 10px;
		position: relative;
		top: 4px;
	}

	.n-no-sort {
		.n-sort {
			display: none;
		}
	}

	i.n-btn {
		@extend %action-icon;
		@include transition(all .2s);


		&.n-btn-edit {
			background: $bg-edit url('../../../assets/images/icons/edit-btn.png') center center no-repeat;
			margin-right: 16px;

			&:hover {
				background: $bg-edit-hover  url('../../../assets/images/icons/edit-icon-hover.png') center center no-repeat;
			}
		}

		&.n-btn-delete {
			background: $bg-delete url('../../../assets/images/icons/delete-btn.png') center center no-repeat;
			margin-right:16px;

			&.disable {
				background: $color-disable url('../../../assets/images/icons/delete-btn-disable.png') center center no-repeat;
				cursor: not-allowed;

				&:hover {
					background: $color-disable url('../../../assets/images/icons/delete-btn-disable.png') center center no-repeat;
					cursor: not-allowed;
				}
			}

			&:hover {
				background: $bg-delete-hover  url('../../../assets/images/icons/delete-btn-hover.png') center center no-repeat;
			}
		}

		&.n-btn-refresh {
			background: $bg-edit url('../../../assets/images/icons/refresh-btn.png') center center no-repeat;

			&:hover {
				background: $bg-edit-hover  url('../../../assets/images/icons/refresh-btn-hover.png') center center no-repeat;
			}
		}
	}

	.time {
		color: $color-time;
		font-size: 12px;
		display: block;
	}

	.n-switch {
		padding-top: 26px;

		.v-input__slot {
			margin-bottom: 0;
		}

		.n-switch-item {
			.accent--text {
				background: $bg-switch-track;
			}
		}
	}

	.n-btn-add-new {
		@extend %n-btn;
		margin-left: 18px;
		padding: 14px 30px;
		height: auto;
		text-transform: capitalize;
	}

	.n-search {
		border: 1px solid $border-search;
		@include border-radius(50px);
		padding: 8px 20px;
		position: relative;
		top: -3px;

		::before, ::after {
			display: none;
		}
	}
}

.n-dialog {
	@include border-radius(8px);

	.n-dialog-content {
		color: $title-color;
		font-size: 16px;
		max-width: 400px;
		padding: 60px 60px 0 60px;
		margin: 0 auto 26px;
		word-break: break-word;
	}

	.n-btn {
		@extend %n-btn;
		color: $color-btn;
		width: 140px;
		text-align: center;
		text-decoration: none;
		padding: 0;
		font-size: 16px;
		display: inline-block;

		&.n-btn-yes {
			background: $color-time;
			margin-right: 16px;
		}

		&.n-btn-no {
			background: $bg-switch-track;
		}
	}

	.n-dialog-actions {
		display: block;
		width: 100%;
		text-align: center;
		margin-bottom: 48px;
	}
}
